extends layout

block content
    form(method='post' enctype='multipart/form-data')
        .input-field
            label(for='archive') The code zipped
            input#archive(type='file' name='archive' accept='.tar,.tar.gz,.tgz,.tar.bz2,.tar.xz')
        .input-field
            label(for='buildCmd') Build command
            input#buildCmd(type='text' name='buildCmd' size=50 value='g++ --std=c++11 main.cpp -o main' placeholder='make all')
        .input-field
            label(for='runCmd') Run command
            input#runCmd(type='text' name='runCmd' size=50 value='./main' placeholder='make run')
        .input-field
            button Upload & Submit
        p.
            The file must be a tar archive compressed with one of the following algorithms: identity
            (no compression), gzip, bzip2, xz. Currently only C++11 is officially supported, but
            many other languages should work.
        p.
            Please note, that uploading a code archive is not significant. You can checkout the code
            using git, or supply just a one-liner script here. When you don't need a build script,
            simply enter <code>true</code> to the field.